
QGIS Application - Bug report #19619

QGIS Crashed on reshaping line

2018-08-14 04:19 AM - 명균 이

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 7 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 27446

Description

I am using QGIS version 3.2.1. 

There was a conflict clearing the list of recently used projects. 

The crash ID is 9a3ed0aac4182e5ec7f4c8b3ab71a6e23c79bce9

History

#1 - 2018-08-14 04:28 AM - 명균 이

I had an error in splitting the object.

#2 - 2018-08-14 04:45 AM - Nyall Dawson

- Subject changed from QGIS_Crashed to QGIS Crashed on reshaping line

- Status changed from Open to Feedback

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

#3 - 2018-08-14 07:47 AM - 명균 이

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

I used snapping options to make things easier. The option I set is Active Layer / Vertex and Segment / 12px. When I did not use this option, no errors

appeared.

#4 - 2018-08-14 08:31 AM - 명균 이

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

I thought I had a version problem, so I downloaded version 2.18.22 of QGIS. (3.2.1) The option is the current layer, vertex and segment, 12px. When I did

so, the object was transformed without error.
#5 - 2018-08-14 11:30 AM - Giovanni Manghi

- Category changed from Unknown to Digitising

명균 이 wrote:

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

I thought I had a version problem, so I downloaded version 2.18.22 of QGIS. (3.2.1) The option is the current layer, vertex and segment, 12px. When

I did so, the object was transformed without error.

Can you attach the layer that caused the problem? thanks!

#6 - 2018-08-16 04:01 AM - 명균 이

Giovanni Manghi wrote:

명균 이 wrote:

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

I thought I had a version problem, so I downloaded version 2.18.22 of QGIS. (3.2.1) The option is the current layer, vertex and segment, 12px.

When I did so, the object was transformed without error.

Can you attach the layer that caused the problem? thanks!

It is difficult to show data. Could it be that if I try to override the right mouse click(finish sketch), I get an error?

#7 - 2018-08-16 04:34 AM - 명균 이

Nyall Dawson wrote:

Can you reproduce this crash? If so, can you share the layer and steps to reproduce?

Was there another case with this crash id?

The crash ID is 9a3ed0aac4182e5ec7f4c8b3ab71a6e23c79bce9.

#8 - 2018-08-16 10:43 AM - Giovanni Manghi

It is difficult to show data. Could it be that if I try to override the right mouse click(finish sketch), I get an error?
you really should attach the data (or provide download link) to help us help you.

#9 - 2018-11-08 01:31 PM - Giovanni Manghi

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#10 - 2019-02-11 04:19 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

This should be fixed in recent builds

Files

1106_stack trace.txt 1.49 KB 2018-08-14 명균 이
